aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-mime-types
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-06-02 14:09:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-06-02 14:09:33 +0000
commit153c89da6709d7330a271be726104bbbdfcc9858 (patch)
tree3abb00fd5739b15d1f027144d1cc77bfaceb904d /main/perl-mime-types
parent0d7c49b1e9decddf161bcb4e4c12ab46c0e794ec (diff)
downloadaports-153c89da6709d7330a271be726104bbbdfcc9858.tar.gz
aports-153c89da6709d7330a271be726104bbbdfcc9858.tar.bz2
aports-153c89da6709d7330a271be726104bbbdfcc9858.tar.xz
main/perl-*: moved to main
most of the have test scripts
Diffstat (limited to 'main/perl-mime-types')
-rw-r--r--main/perl-mime-types/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/main/perl-mime-types/APKBUILD b/main/perl-mime-types/APKBUILD
new file mode 100644
index 0000000000..c9726ed4b4
--- /dev/null
+++ b/main/perl-mime-types/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-mime-types
+_pkgreal=MIME-Types
+pkgver=1.31
+pkgrel=0
+pkgdesc="Definition of MIME types"
+url="http://search.cpan.org/dist/MIME-Types/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MA/MARKOV/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="d4435eb012e813682f94d285b40339ce MIME-Types-1.31.tar.gz"